matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - "7.x"
  - "8.x"
tasks:
  verify_targets:
    name: Verify build and test targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@cpp2sky//cpp2sky:cpp2sky_interface'
    - '@cpp2sky//cpp2sky:cpp2sky_data_interface'
    - '@cpp2sky//cpp2sky:config_cc_proto'
